LibreOffice: XOOXMLDocumentPropertiesImporter Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XOOXMLDocumentPropertiesImporter Interface Reference

allows to import the document properties from OOXML format More...

`import "XOOXMLDocumentPropertiesImporter.idl";`

Inheritance diagram for XOOXMLDocumentPropertiesImporter:

## Public Member Functions
void | importProperties ([in] com::sun::star::embed::XStorage xSource, [in] com::sun::star::document::XDocumentProperties xDocumentProperties) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::xml::sax::SAXException, com::sun::star::uno::Exception )
| allows to import the document properties from OOXML format
com::sun::star::io::XInputStream | getCorePropertiesStream ([in] com::sun::star::embed::XStorage xSource)
| find and get core properties stream
com::sun::star::io::XInputStream | getExtendedPropertiesStream ([in] com::sun::star::embed::XStorage xSource)
| find and get extended properties stream
sequence< com::sun::star::io::XInputStream > | getCustomPropertiesStreams ([in] com::sun::star::embed::XStorage xSource)
| find and get custom properties streams
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows to import the document properties from OOXML format

## Member Function Documentation

## ◆ getCorePropertiesStream()

com::sun::star::io::XInputStream getCorePropertiesStream | ( | [in] com::sun::star::embed::XStorage | xSource | ) |

find and get core properties stream

(usually it is docProps\core.xml)

Since
  LibreOffice 7.3

## ◆ getCustomPropertiesStreams()

sequence< com::sun::star::io::XInputStream > getCustomPropertiesStreams | ( | [in] com::sun::star::embed::XStorage | xSource | ) |

find and get custom properties streams

(usually it is customXml*.xml)

Since
  LibreOffice 7.3

## ◆ getExtendedPropertiesStream()

com::sun::star::io::XInputStream getExtendedPropertiesStream | ( | [in] com::sun::star::embed::XStorage | xSource | ) |

find and get extended properties stream

(usually it is docProps/app.xml)

Since
  LibreOffice 7.3

## ◆ importProperties()

void importProperties | ( | [in] com::sun::star::embed::XStorage | xSource,
|  | [in] com::sun::star::document::XDocumentProperties | xDocumentProperties )
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::xml::sax::SAXException,
|  | com::sun::star::uno::Exception ) |  |  |

allows to import the document properties from OOXML format

The implementation should parse the document properties from OOXML format storage and set them to the target XDocumentProperties implementation.

The storage must represent OOXML format and support com::sun::star::embed::XRelationshipAccess interface. Please see com::sun::star::embed::StorageFactory for details regarding creation of such a storage.

Parameters

  xSource | the source storage representing OOXML document
  xDocumentProperties | the target XDocumentProperties interface implementation

Exceptions

  com::sun::star::lang::IllegalArgumentException | the exception is thrown in case unexpected arguments are provided
  com::sun::star::xml::sax::SAXException | the exception is thrown in case of parsing problems
  com::sun::star::uno::Exception | the exception is thrown in case of other problems during the import

The documentation for this interface was generated from the following file:

- com/sun/star/document/XOOXMLDocumentPropertiesImporter.idl